/* **********************************************************
 * Copyright 2006 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

/*
 * filesystem.h --
 *
 * High-level filesystem operations for the filesystem portion of 
 * the vmhgfs driver.
 */

#ifndef _HGFS_DRIVER_FILESYSTEM_H_
#define _HGFS_DRIVER_FILESYSTEM_H_

#include "vm_basic_types.h"

/* Public functions (with respect to the entire module). */
Bool HgfsInitFileSystem(void);
Bool HgfsCleanupFileSystem(void);

#endif // _HGFS_DRIVER_FILESYSTEM_H_
