/* **********************************************************
 * Copyright 2006 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

/*
 * inode.h --
 *
 * Inode operations for the filesystem portion of the vmhgfs driver.
 */

#ifndef _HGFS_DRIVER_INODE_H_
#define _HGFS_DRIVER_INODE_H_

/* Must come before any kernel header file. */
#include "driver-config.h"

#include "compat_fs.h"

/* Public functions (with respect to the entire module). */
int HgfsSetattr(struct dentry *dentry,
                struct iattr *iattr);
int HgfsRevalidate(struct dentry *dentry);

#endif // _HGFS_DRIVER_INODE_H_
